%define major		0
%define libname		%mklibname storj %{major}
%define develname	%mklibname storj -d

Name:		libstorj
Version:	1.0.3
Release:	%mkrel 4
Summary:	Client library and CLI for encrypted file transfer on the Storj network
Group:		System/Libraries
License:	LGPLv2+
URL:		https://storj.io/
Source0:	https://github.com/Storj/libstorj/archive/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:	gcc
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libmicrohttpd)
BuildRequires:	pkgconfig(libuv)

%description
Asynchronous multi-platform C client library and CLI for encrypted file
transfer on the Storj network.

Feature Highlights:

  * Asynchronous I/O with concurrent peer-to-peer network requests for
    shards
  * Erasure encoding with reed solomon for data durability
  * Robust handling of shard transfers by selecting alternative sources
  * File integrity and authenticity verified with HMAC-SHA512
  * File encryption with AES-256-CTR
  * File name and bucket name encryption with AES-256-GCM
  * Proxy support with SOCKS5, SOCKS4, SOCKS4a
  * Asynchronous progress updates in bytes per file
  * Transfers can be cleanly canceled per file
  * Seed based file encryption key for portability between devices
  * Reference implementation for SIP5 file standard

#------------------------------------------------

%package -n	%{libname}
Summary:	Client library and CLI for encrypted file transfer on the Storj network
Group:		System/Libraries

%description -n	%{libname}
Asynchronous multi-platform C client library and CLI for encrypted file
transfer on the Storj network.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Asynchronous multi-platform C client library and CLI for encrypted file
transfer on the Storj network.

This package contains files needed to compile code using %{name}.

#------------------------------------------------

%prep
%setup -q

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/storj

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Mar 08 2021 tex - 1.0.3-4pclos2021
- rebuild against updates

* Tue Mar 03 2020 tex - 1.0.3-3pclos2020
- rebuild against updates

* Sat Jul 27 2019 tex - 1.0.3-2pclos2019
- rebuild against updates

* Mon Jul 01 2019 tex 1.0.3-1pclos2019
- new
